import request from '@/utils/request'

/**
* 配置列表
* @param {*} data
* @returns
*/
export const getConfigList = (data) => request({
  url: '/admin/wx/config',
  method: 'get',
  data
})

/**
* 保存配置
* @param {*} data
* @returns
*/
export const saveConfig = (data) => request({
  url: '/admin/wx/config',
  method: 'post',
  data
})

/**
* 详情配置
* @param {*} 
* @returns
*/
export const detailsConfig = (id) => request({
  url: `admin/wx/config/${id}`,

  method: 'get',
})

/**
* 修改配置
* @param {*} 
* @returns
*/
export const ChangeConfig = (data, id) => request({
  url: `admin/wx/config/${id}`,

  method: 'put',
  data
})

/**
* 删除配置
* @param {*} 
* @returns
*/
export const DeleteConfig = (id) => request({
  url: `admin/wx/config/${id}`,
  method: 'delete',
})


